# Check Bulk Photo Upload Status

```http
GET https://api.synup.com/api/v4/locations/photos/requests/{requestId}
```

This API monitors the progress of uploading multiple photos to a location, which is particularly useful when the upload involves more than 30 photos.

Retrieve the current status of a bulk image upload request for a location. Use the requestId returned in the Upload Photos API to fetch the status.

For more details, refer to Manage photos for your location.

Source: https://developer.synup.com/api/locations/check-bulk-photo-upload-status

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `requestId` | string | required | Request ID returned from bulk upload photos API |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/locations/photos/requests/:requestId' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successfully retrieved upload status |
